## IdeLayout IdeLayout |

## Types and Values

#define | IDE_TYPE_LAYOUT
struct | IdeLayoutClass
| IdeLayout

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── DzlDockBin
                        ╰── IdeLayout
                            ╰── IdeEditorPerspective

## Implemented Interfaces

IdeLayout implements AtkImplementorIface, GtkBuildable, DzlDockItem and DzlDock.

## Description

## Functions

## Types and Values

### IDE_TYPE_LAYOUT

    #define IDE_TYPE_LAYOUT (ide_layout_get_type())

### struct IdeLayoutClass

    struct IdeLayoutClass {
      DzlDockBinClass parent_class;
    };

### IdeLayout

    typedef struct _IdeLayout IdeLayout;